#include "manic.h"
#include "gfxlibs/keyboard.h"
#include "gfxdata/gfxdata.h"
#include "functions.h"
#include "sndlibs/snd.h"
#include "gfxlibs/gfx.h"
#include <string.h>

void
DoLoading (void)
{
  int key = 0, pressed;
  int x, y;
  int loadofs = 0;

  PAPER = 0;
  INK = 124;
  FontPrint (32 - strlen (VERSION), 23, VERSION);
  LOADm = 1;

  for (;;) {
    if (LOADp == 0) {
      loadofs ^= 1;
      for (y = 0; y < 8; y++)
	for (x = 0; x < 32; x++) {
	  PAPER = GFXload[((y + (loadofs * 8)) * 32) + x];
	  FontPrint (x, 9 + y, " ");
	}
      mm_gfx_flush ();
    }
    else
      mm_gfx_waitvr ();

    if (++LOADp == 25)
      LOADp = 0;

    mm_keyb_update ();
    pressed = mm_keyb_pressed (KEYB_ANYKEY);
    if (key) {
      if (pressed)
        break;
    }
    else
      if (!pressed)
        key = 1;		/* wait for keys to be released first */
  }
  MODE = 0;
}
