#include "../../manic.h"
#include "common.h"

int
getchan (void)
{
  int tmpchan;
  tmpchan = curchan;
  if (++curchan >= maxchan)
    curchan = 0;
  return (tmpchan + 6);
}

void
mm_snd_playmod (int pos)
{
  manichandle = MIDASplayModule (manicmod, TRUE);
  MIDASsetPosition (manichandle, pos);
}

void
mm_snd_pick (unsigned rate)
{
  pickhandle = MIDASplaySample (pickwav, getchan (), 300, rate, 64,
				MIDAS_PAN_MIDDLE);
}

void
mm_snd_jump (unsigned rate)
{
  jumphandle = MIDASplaySample (jumpwav, getchan (), 300, rate, 64,
				MIDAS_PAN_MIDDLE);
}

void
mm_snd_jump2 (unsigned rate)
{
  jump2handle = MIDASplaySample (jumpwav, getchan (), 300, rate, 64,
				 MIDAS_PAN_MIDDLE);
}

void
mm_snd_die (unsigned rate)
{
  diehandle = MIDASplaySample (diewav, getchan (), 300, rate, 64,
			       MIDAS_PAN_MIDDLE);
}

void
mm_snd_update (void)
{
//#ifdef LINUX
//        MIDASpoll();
//#endif
}

int
mm_snd_active (void)
{
//      return(Player_Active());
  return (1);
}

void
mm_snd_stopmod (void)
{
  MIDASstopModule (manichandle);
}

int
mm_snd_getmodpos (void)
{
  MIDASplayStatus playstat;

  MIDASgetPlayStatus (manichandle, &playstat);
  return (playstat.position);
}

void
mm_snd_mute (void)
{
}
void
mm_snd_unmute (void)
{
}

unsigned long
mm_snd_hitpianokeys (void)
{
  return 0;
}
