void mm_gfx_flush (void);
void mm_gfx_palset (uint_fast8_t * palette);
void mm_gfx_putpixel (uint_fast16_t x, uint_fast16_t y, uint_fast8_t data);
void mm_gfx_putpixel2 (uint_fast16_t x, uint_fast16_t y, uint_fast8_t data);
uint_fast8_t mm_gfx_getpixel (uint_fast16_t x, uint_fast16_t y);
uint_fast8_t mm_gfx_getpixel2 (uint_fast16_t x, uint_fast16_t y);
void mm_gfx_cls (uint_fast8_t col);
void mm_gfx_fillbox (uint_fast16_t x, uint_fast16_t y,
		     uint_fast16_t width, uint_fast16_t height,
		     uint_fast8_t col);
void mm_gfx_fillbox2 (uint_fast16_t x, uint_fast16_t y,
		      uint_fast16_t width, uint_fast16_t height,
		      uint_fast8_t col);
void mm_gfx_waitvr (void);

#ifdef __riscos
void mm_gfx_setdirty (int x, int y, int w, int h);
#else
# define mm_gfx_setdirty(X,Y,W,H)
#endif
